JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ADSR::Parameters Struct Reference
juce_audio_basics » utilities

Holds the parameters being used by an ADSR object. More...

`#include <juce_ADSR.h>`

## Public Member Functions
| Parameters ()=default
| Parameters (float attackTimeSeconds, float decayTimeSeconds, float sustainLevel, float releaseTimeSeconds)

## Public Attributes
float | attack = 0.1f
float | decay = 0.1f
float | sustain = 1.0f
float | release = 0.1f

## Detailed Description

Holds the parameters being used by an ADSR object.

## Constructor & Destructor Documentation

## ◆ Parameters() [1/2]

ADSR::Parameters::Parameters | ( |  | ) |
| default

## ◆ Parameters() [2/2]

ADSR::Parameters::Parameters | ( | float | attackTimeSeconds,
|  | float | decayTimeSeconds,
|  | float | sustainLevel,
|  | float | releaseTimeSeconds )

## Member Data Documentation

## ◆ attack

float ADSR::Parameters::attack = 0.1f

## ◆ decay

float ADSR::Parameters::decay = 0.1f

## ◆ sustain

float ADSR::Parameters::sustain = 1.0f

## ◆ release

float ADSR::Parameters::release = 0.1f

The documentation for this struct was generated from the following file:

- juce_ADSR.h